Bug 128811 - Alignment option "Distributed" not working in calc.
Summary: Alignment option "Distributed" not working in calc.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6.3.4
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2019-11-15 03:04 UTC by yichuang驿窗
Modified: 2019-11-20 14:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
example ODS file (7.34 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-11-15 03:10 UTC, yichuang驿窗
Details
expected result (1.55 MB, image/png)
2019-11-15 03:11 UTC, yichuang驿窗
Details

Note You need to log in before you can comment on or make changes to this bug.
Description yichuang驿窗 2019-11-15 03:04:18 UTC
Description:
In one cell, I input three words and then right click the cell, and select "format cells", under "Horizontal" in the "Text Alignment" area, I selected "Distributed". But, the words in the cell does not change, still aligned left, not aligned across the whole cell.

======
My OS:
Debian Stretch 9.11
Gnome


Steps to Reproduce:
1. Input two or three words in one cell;
2. Right click the cell and select Format Cells; 
3. Select Distributed under the Horizontal;

Actual Results:
Nothing changed, the words still aligned left, not aligned across the whole cell.

Expected Results:
The words in the cell aligned across the whole cell.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 6.2.8.2
Build ID: f82ddfca21ebc1e222a662a32b25c0c9d20169ee
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: zh-CN (zh_CN.UTF-8); UI-Language: en-US
Calc: threaded

OpenCL not enabled.
Comment 1 yichuang驿窗 2019-11-15 03:10:18 UTC
Created attachment 155830 [details]
example ODS file

example ODS file
Comment 2 yichuang驿窗 2019-11-15 03:11:06 UTC
Created attachment 155831 [details]
expected result

expected result
Comment 3 Durgapriyanka 2019-11-15 16:34:34 UTC
Thank you for reporting the bug. I can reproduce the bug in

Version: 6.4.0.0.alpha1+ (x86)
Build ID: ec7374ff84c71edfbb30d6e4dc5b486b6df7107f
CPU threads: 2; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-11-10_21:37:30
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded


But, Not in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4 

It works as expected.
Comment 4 Xisco Faulí 2019-11-19 13:51:46 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=32eac27a2c22aae63941479482ef21e8d75a5122

author	Caolán McNamara <caolanm@redhat.com>	2018-09-21 17:09:42 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-09-22 20:28:23 +0200
commit	32eac27a2c22aae63941479482ef21e8d75a5122 (patch)
tree	64e7e5dff4ac0fbd7c117b398e365a0728fdde1e
parent	47f84e024344d9a50e44dda4f947945e8fc643b5 (diff)
weld AlignmentTabPage

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 5 Commit Notification 2019-11-20 11:16:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d7fcea6fd86d4127306333eb63ece9c8b8e26a3f

Resolves: tdf#128811 Alignment option "Distributed" not working in calc

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-11-20 11:18:27 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/03573be21e9cce8e9e93593bfc3c875b3d9d227d

Resolves: tdf#128811 Alignment option "Distributed" not working in calc

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2019-11-20 11:21:12 UTC
fixed in master and 6-4, backport to 6-3 in gerrit
Comment 8 Xisco Faulí 2019-11-20 14:47:06 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: d468958331f36310d11265ba55d7c27366ab58ab
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!
Comment 9 Commit Notification 2019-11-20 14:48:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/65d1f709d06bbb51d23962dfe6c13ade04476592

Resolves: tdf#128811 Alignment option "Distributed" not working in calc

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.